Workflows
Execute Workflow
Start execution for an existing workflow by ID.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key with:
Authorization: Bearer <YOUR_API_KEY>
In: header
Request Body
application/json
workflowId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.fastfold.ai/v1/workflows/execute" \ -H "Content-Type: application/json" \ -d '{ "workflowId": "ecdf7c28-d773-41cb-bfa6-05e7ff27af42" }'{
"status": "INITIALIZED",
"workflow_id": "ecdf7c28-d773-41cb-bfa6-05e7ff27af42",
"tasks_total_count": 0,
"workflow_type": "boltzgen_v1",
"input_sequence": null,
"tasks_completed_count": 0,
"tasks_failed_count": 0,
"tasks": [],
"created_at": "2026-02-22T20:31:33.007374",
"updated_at": "2026-02-22T20:31:34.316422"
}{
"message": "Invalid workflowId"
}{
"message": "Workflow not found"
}{
"message": "Workflow not found"
}Last updated on